/*  shogiopening
 *  Copyright (C) 2000 Sverre Hvammen Johansen.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#define PIECES_WIDTH  32
#define PIECES_HEIGHT 34
#define PIECES_N 31

#define STYLES 4
#define JP 0
#define WEST 1
#define CLASICAL 2

static char *pieces_xpm_d[STYLES][PIECES_N][PIECES_HEIGHT+3]={
{
{
"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"            ..            ",
"           ....           ",
"          .    .          ",
"         .. .. ..         ",
"         .. .. ..         ",
"          .    .          ",
"           ....           ",
"            ..            ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                  .....   ",
"             .....        ",
"         ....             ",
"      ...   .             ",
"     .      .         ..  ",
"    .       .        ..   ",
"    .       .  ...  ..    ",
"    .     .....     .     ",
"     .....  .      ..     ",
"            .      .      ",
"            .      .      ",
"            .      .      ",
" .          .             ",
" ........................ ",
"            .     .     . ",
"            .     .       ",
"            .     .       ",
"     .      .     .       ",
"    .........     .       ",
"            .     .       ",
"            .     .       ",
"            .             ",
"            ..            ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
" ......     ..       ..   ",
" .     .    ...     .     ",
" .      .   .  .   .      ",
"  .  .  .   .   .  .      ",
"  .  ..  .  .     .       ",
"  .  ..  .  .     .       ",
"   .  .  .  .     .       ",
"   .  .  .  .    .        ",
"   .     .  .    .        ",
"         .  .    .        ",
"       .................. ",
"        ..  .   .         ",
"            .   .         ",
"            .  .          ",
"  ........  .  .    ....  ",
"   ..    .  .  .....      ",
"    .  . .  .  ..         ",
"      .  .  .             ",
"     .   .  .             ",
"    ..   ..............   ",
"    ..   ..............   ",
"                          ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"     ..                .. ",
"    ....             ..   ",
"    .  ..           .     ",
"    .              .      ",
"    .      .       .      ",
"    .      .      .       ",
"    .      .      .       ",
"    . .............       ",
"    .      .      .       ",
"    .      .      .       ",
"    .      .      .       ",
"    .      .      .       ",
"    . .............       ",
"    .      .      .       ",
"    .      .      .    .. ",
"    .      .      .   .   ",
"     ..............  .    ",
"              ..    .     ",
"            ..     .      ",
"     ........     .       ",
"             .....        ",
"                .         ",
"               ..         ",
"                ..        ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"      .           .       ",
"      .............       ",
"      .           .       ",
"      .           .       ",
"      .           .       ",
"      .............       ",
"      .           .       ",
"      .           .       ",
"      .           .       ",
"      .............    .. ",
"  ...       .       ...   ",
"     ..     .     ..      ",
"       ..   .   ..        ",
"   .......  .  .          ",
"          . . .           ",
"           ...            ",
" ........................ ",
"  ..        .             ",
"            .             ",
"            .             ",
"            ...........   ",
"        .....             ",
"    .....                 ",
"  ...                     ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
" .               .        ",
"  ....  .        ..       ",
"     .........   . .   .. ",
"        .        .     .. ",
"        .        .     .  ",
"        .        .     .  ",
"        .        .    .   ",
"        .   .    .    .   ",
"     .......     .   .    ",
"  ....  .        .   .    ",
"        .        .  .     ",
"        .        . .      ",
"        .        ..       ",
"        .    .   .        ",
"    .........    .        ",
" ....   .        .        ",
"        .        .  ..    ",
"        .       ....      ",
"        .  .  .. .        ",
"  .........      .        ",
" ..     .        .        ",
"        .        .        ",
"        .        .        ",
"       ..        ..       ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"  .                 ....  ",
"  .        .     ...      ",
"   .     ...  ... .       ",
"    .      .      .       ",
"     .     .      .       ",
"      .    .      . ....  ",
"     ...   .     ...      ",
"    .   .  .  ... .       ",
"   .    .  .      .       ",
"  .        .      .       ",
"  .        .      . ...   ",
"           .     ...      ",
"           .  ... .       ",
"     .......      .       ",
"    .      .      .       ",
"    .      .      . ...   ",
"    .      .     ...      ",
"    ........  ...         ",
"   .       .              ",
"   .       .   .     ...  ",
"   .       .    .   .     ",
"    ........     . .      ",
"            .     .       ",
"             .    .       ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"  ......................  ",
"   .         .          . ",
"        .    .   .        ",
"       .     .   ..       ",
"      .      .    ..      ",
"      .      .     .      ",
"       .........   .      ",
"             .     .      ",
"             .            ",
"             ....         ",
"      ........            ",
"       .     .         .. ",
" ...         .       ...  ",
"  ...   ..........  ..    ",
"    ..   ..        .      ",
"     ..           .       ",
"       .         .        ",
"        .       .         ",
"         .     .          ",
"          .   .           ",
"           . .            ",
"            .             ",
"            ..            ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"  ....................... ",
"  ..        .             ",
"            .             ",
"            .             ",
"            .             ",
"     .      .             ",
"      .     .             ",
"       .    .             ",
"            .             ",
"            .             ",
"            .             ",
"   ....................   ",
"    ..      .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"                          ",
"                          ",
"  ......................  ",
"   ..                     ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"       .........          ",
"      ............        ",
"      ..          .       ",
"                   .      ",
"                   .      ",
"                   .      ",
"                  .       ",
"                 .        ",
"                .         ",
"               .          ",
"              ..          ",
"             . .          ",
"            .  .          ",
"           .   .          ",
"           .   .          ",
"           .   .          ",
"               .          ",
"               .          ",
"               .          ",
"               .          ",
"                ..        ",
"                          ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"   .........              ",
" ..         .             ",
" ..         .             ",
"  .         .      .      ",
"  .  .      .      .      ",
"  .  ...............      ",
"     .      .      .      ",
"     .      .      .      ",
"     .      .      .      ",
"     ...............      ",
"     .      .      .      ",
"     .      .      .      ",
"    ................      ",
"     .             .      ",
"                          ",
" ........................ ",
"  .       .     .         ",
"         .      .         ",
"        ..       .        ",
"         .        .       ",
"   ....................   ",
"    .       .             ",
"            .             ",
"           ..             ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"      .                   ",
"     ....               . ",
"    ..          .      .  ",
"    .       .   .     .   ",
"   ..   .   .   .    .    ",
"   .    .    .   .   .    ",
"   .     .    .   .  .    ",
"   .      .               ",
"   .               .      ",
"  ..................      ",
"   ..       .      .      ",
"            .      .      ",
"            .      .      ",
"     ...............      ",
"      ..    .      .      ",
"            .      .      ",
"            .      .      ",
"     ...............      ",
"      ..    .      .      ",
"            .      .      ",
"            .      .      ",
"    ................      ",
"     ..            .      ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"      .           .       ",
"      .............       ",
"      .           .       ",
"      .           .       ",
"      .............       ",
"      .           .       ",
"      .           .       ",
"      .............       ",
"  ....      .       ..... ",
"      ...   .   ....      ",
"   ........ . ..          ",
"           ...            ",
" ........................ ",
"  ..        .             ",
"            .             ",
"            ...........   ",
"       ......             ",
"  ......                  ",
"                          ",
"      .            .      ",
"     .            .       ",
"    .    .       .        ",
"    .    .       .        ",
"    .    .    ........    ",
"    .    .       .        ",
"    .    .       .        ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
" .               .        ",
"  ....  .        ..       ",
"     .........   . .   .. ",
"        .        .     .. ",
"        .        .     .  ",
"        .   .    .    .   ",
"     .......     .   .    ",
"  ....  .        .  .     ",
"        .        ...      ",
"        .    .   .        ",
"    .........    .        ",
" ....   .        .  ..    ",
"        .       ....      ",
"        .  .  .. .        ",
"  .........      .        ",
" ..     .        .        ",
"       ..        ..       ",
"       ..         ..      ",
"                          ",
"      .            .      ",
"     .            .       ",
"    .    .       .        ",
"    .    .       .        ",
"    .    .    ........    ",
"    .    .       .        ",
"    .    .       .        ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"  .                 ....  ",
"  .        .     ...      ",
"   .     ...  ... .       ",
"     .     .      . ....  ",
"     ...   .     ...      ",
"    .   .  .  ... .       ",
"   .    .  .      . ...   ",
"  .        .     ...      ",
"           .  ... .       ",
"      ......      .       ",
"     .     .      . ...   ",
"     .     .     ...      ",
"     .......  ...         ",
"    .      .              ",
"    .      .    .   ...   ",
"     .......     . .      ",
"            .     .       ",
"             .    .       ",
"                          ",
"      .            .      ",
"     .            .       ",
"    .    .       .        ",
"    .    .       .        ",
"    .    .    ........    ",
"    .    .       .        ",
"    .    .       .        ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"            ..            ",
"             .            ",
"       .     .            ",
"       .     .            ",
"       .     .........    ",
"       .     .      .     ",
"       .     .            ",
"       .     .            ",
" .     .     .            ",
" ........................ ",
"             .          . ",
"      .      .            ",
"      .      .            ",
"      .      .            ",
"     ..      .  .....     ",
"     .     .....     .    ",
"    ..  ...  .       .    ",
"   ..        .       .    ",
"  ..         .      .     ",
"             .   ...      ",
"             ....         ",
"        .....             ",
"   .....                  ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                          ",
"   ..............   ..    ",
"   ..............   ..    ",
"             .  .   .     ",
"             .  .  .      ",
"         ..  .  . .  .    ",
"      .....  .  .    ..   ",
"  ....    .  .  ........  ",
"          .  .            ",
"         .   .            ",
"         .   .  ..        ",
" ..................       ",
"        .    .  .         ",
"        .    .  .     .   ",
"        .    .  .  .  .   ",
"       .     .  .  .  .   ",
"       .     .  .  ..  .  ",
"       .     .  .  ..  .  ",
"      .  .   .   .  .  .  ",
"      .   .  .   .      . ",
"     .     ...    .     . ",
"   ..       ..     ...... ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"        ..                ",
"         ..               ",
"         .                ",
"        .....             ",
"       .     ........     ",
"      .     ..            ",
"     .    ..              ",
"    .  ..............     ",
"   .   .      .      .    ",
" ..    .      .      .    ",
"       .      .      .    ",
"       ............. .    ",
"       .      .      .    ",
"       .      .      .    ",
"       .      .      .    ",
"       .      .      .    ",
"       ............. .    ",
"       .      .      .    ",
"       .      .      .    ",
"      .       .      .    ",
"      .              .    ",
"     .           ..  .    ",
"   ..             ....    ",
" ..                ..     ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                     ...  ",
"                 .....    ",
"             .....        ",
"   ...........            ",
"             .            ",
"             .            ",
"             .        ..  ",
" ........................ ",
"            ...           ",
"           . . .          ",
"          .  .  .......   ",
"        ..   .   ..       ",
"      ..     .     ..     ",
"   ...       .       ...  ",
" ..    .............      ",
"       .           .      ",
"       .           .      ",
"       .           .      ",
"       .............      ",
"       .           .      ",
"       .           .      ",
"       .           .      ",
"       .............      ",
"       .           .      ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"       ..        ..       ",
"        .        .        ",
"        .        .        ",
"        .        .     .. ",
"        .      .........  ",
"        . ..  .  .        ",
"      ....       .        ",
"    ..  .        .        ",
"        .        .   .... ",
"        .    .........    ",
"        .   .    .        ",
"       ..        .        ",
"      . .        .        ",
"     .  .        .        ",
"    .   .        .  ....  ",
"    .   .     .......     ",
"   .    .    .   .        ",
"   .    .        .        ",
"  .     .        .        ",
"  .     .        .        ",
" ..     .        .        ",
" ..   . .   .........     ",
"       ..        .  ....  ",
"        .               . ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"       .    .             ",
"       .     .            ",
"      . .     ........    ",
"     .   .    .       .   ",
"  ...     .   .       .   ",
"              .       .   ",
"         ...  ........    ",
"      ...     .      .    ",
"   ... .      .      .    ",
"       .      .      .    ",
"       .      .......     ",
"       . ...  .           ",
"      ...     .           ",
"   ... .      .        .  ",
"       .      .        .  ",
"       .      .  .    .   ",
"       . ...  .  .   .    ",
"      ...     .   ...     ",
"  .... .      .    .      ",
"       .      .     .     ",
"       .      .      .    ",
"       . ...  ...     .   ",
"      ...     .        .  ",
"  ....                 .  ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"            ..            ",
"             .            ",
"            . .           ",
"           .   .          ",
"          .     .         ",
"         .       .        ",
"        .         .       ",
"       .           ..     ",
"      .        ..   ..    ",
"    ..  ..........   ...  ",
"  ...       .         ... ",
" ..         .     .       ",
"            ........      ",
"         ....             ",
"            .             ",
"      .     .             ",
"      .   .........       ",
"      .     .      .      ",
"      ..    .      .      ",
"       ..   .     .       ",
"        .   .    .        ",
" .          .         .   ",
"  ......................  ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                     ..   ",
"  ......................  ",
"                          ",
"                          ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .      ..    ",
"   ....................   ",
"             .            ",
"             .            ",
"             .            ",
"             .    .       ",
"             .     .      ",
"             .      .     ",
"             .            ",
"             .            ",
"             .            ",
"             .        ..  ",
" .......................  ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                          ",
"        ..                ",
"          .               ",
"          .               ",
"          .               ",
"          .               ",
"          .   .           ",
"          .   .           ",
"          .   .           ",
"          .  .            ",
"          . .             ",
"          ..              ",
"          .               ",
"         .                ",
"        .                 ",
"       .                  ",
"      .                   ",
"      .                   ",
"      .                   ",
"       .          ..      ",
"        ............      ",
"          .........       ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"             ..           ",
"             .            ",
"             .       .    ",
"   ....................   ",
"       .        .         ",
"        .       ..        ",
"         .      .         ",
"         .     .       .  ",
" ........................ ",
"                          ",
"      .             .     ",
"      ................    ",
"      .      .      .     ",
"      .      .      .     ",
"      ...............     ",
"      .      .      .     ",
"      .      .      .     ",
"      .      .      .     ",
"      ...............  .  ",
"      .      .      .  .  ",
"      .      .         .  ",
"             .         .. ",
"             .         .. ",
"              .........   ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"      .            ..     ",
"      ................    ",
"      .      .            ",
"      .      .            ",
"      .      .    ..      ",
"      ...............     ",
"      .      .            ",
"      .      .            ",
"      .      .    ..      ",
"      ...............     ",
"      .      .            ",
"      .      .            ",
"      .      .       ..   ",
"      ..................  ",
"      .               .   ",
"               .      .   ",
"    .  .   .    .     .   ",
"    .   .   .    .    .   ",
"    .    .   .   .   ..   ",
"   .     .   .       .    ",
"  .      .          ..    ",
" .               ....     ",
"                   .      ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"        .       .    .    ",
"        .       .    .    ",
"    ........    .    .    ",
"        .       .    .    ",
"        .       .    .    ",
"       .            .     ",
"      .            .      ",
"                          ",
"                  ......  ",
"             ......       ",
"   ...........            ",
"             .            ",
"             .        ..  ",
" ........................ ",
"            ...           ",
"          .. . ........   ",
"      ....   .   ...      ",
" .....       .      ....  ",
"       .............      ",
"       .           .      ",
"       .           .      ",
"       .............      ",
"       .           .      ",
"       .           .      ",
"       .............      ",
"       .           .      ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"        .       .    .    ",
"        .       .    .    ",
"    ........    .    .    ",
"        .       .    .    ",
"        .       .    .    ",
"       .            .     ",
"      .            .      ",
"                          ",
"      ..         ..       ",
"       ..        ..       ",
"        .        .     .. ",
"        .      .........  ",
"        . ..  .  .        ",
"      ....       .        ",
"    ..  .        .   .... ",
"        .    .........    ",
"        .   .    .        ",
"      ...        .        ",
"     .  .        .  ....  ",
"    .   .     .......     ",
"   .    .    .   .        ",
"  .     .        .        ",
" ..     .        .        ",
" ..   . .   .........     ",
"       ..        .  ....  ",
"        .               . ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"        .       .    .    ",
"        .       .    .    ",
"    ........    .    .    ",
"        .       .    .    ",
"        .       .    .    ",
"       .            .     ",
"      .            .      ",
"                          ",
"       .    .             ",
"       .     .            ",
"      . .     .......     ",
"   ...   .    .      .    ",
"              .      .    ",
"         ...  .......     ",
"      ...     .     .     ",
"   ... .      .     .     ",
"       .      ......      ",
"       . ...  .           ",
"      ...     .        .  ",
"   ... .      .  .    .   ",
"       . ...  .  .   .    ",
"      ...     .   ...     ",
"  .... .      .     .     ",
"       . ...  ...     .   ",
"      ...     .        .  ",
"  ....                 .  ",
"                          "
}
},
{
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"            ..            ",
"           ....           ",
"          .    .          ",
"         .. .. ..         ",
"         .. .. ..         ",
"          .    .          ",
"           ....           ",
"            ..            ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"              ...         ",
"               .          ",
"               .          ",
"               .          ",
"          ......          ",
"         .     .          ",
"         .     .          ",
"         .     .          ",
"          .......         ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"          . . .           ",
"           ...            ",
"            .             ",
"                          ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"        ...   ...         ",
"          .    .          ",
"           .   .          ",
"            .  .          ",
"          ......          ",
"         .     .          ",
"         .     .          ",
"         .     .          ",
"          .......         ",
"                          ",
"                          ",
"                          ",
"            .             ",
"           ...            ",
"            .             ",
"            .             ",
"            .             ",
"       .    .    .        ",
"      .............       ",
"       .    .    .        ",
"            .             ",
"            .             ",
"            .             ",
"           ...            ",
"            .             ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"          .......         ",
"         .     .          ",
"         .     .          ",
"         .     .          ",
"          ......          ",
"         .     .          ",
"         .     .          ",
"         .     .          ",
"          .......         ",
"                          ",
"                          ",
"                          ",
"                          ",
"       ...     ...        ",
"       ..       ..        ",
"       . .     . .        ",
"          .   .           ",
"           . .            ",
"            .             ",
"           . .            ",
"          .   .           ",
"       . .     . .        ",
"       ..       ..        ",
"       ...     ...        ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"         ........         ",
"         .     .          ",
"         .     .          ",
"               .          ",
"               .          ",
"               .          ",
"               .          ",
"               .          ",
"              ...         ",
"                          ",
"                          ",
"                          ",
"                          ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"          . . .           ",
"           ...            ",
"            .             ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"        ...   ...         ",
"         ..    .          ",
"         . .   .          ",
"         . .   .          ",
"         .  .  .          ",
"         .   . .          ",
"         .   . .          ",
"         .    ..          ",
"        ...   ...         ",
"                          ",
"                          ",
"                          ",
"                          ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"           . .            ",
"           . .            ",
"        . .   . .         ",
"        ..     ..         ",
"        ...   ...         ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"          .... .          ",
"         .    ..          ",
"         .     .          ",
"          .               ",
"           ...            ",
"              .           ",
"         .     .          ",
"         ..    .          ",
"         . ....           ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"        .       .         ",
"         .     .          ",
"          .   .           ",
"           . .            ",
"            .             ",
"           ...            ",
"          . . .           ",
"         .  .  .          ",
"        .   .   .         ",
"            .             ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"          ....            ",
"         .    .           ",
"         .     .          ",
"        ...    .          ",
"               .          ",
"         .     .          ",
"         .     .          ",
"         ..   .           ",
"           ...            ",
"                          ",
"                          ",
"                          ",
"                          ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"       ...........        ",
"           ...            ",
"          . . .           ",
"         .  .  .          ",
"        .   .   .         ",
"            .             ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"        ...   ...         ",
"          .    .          ",
"           .   .          ",
"            .  .          ",
"             . .          ",
"            . ..          ",
"           .   .          ",
"          .    .          ",
"        ...   ...         ",
"                          ",
"                          ",
"                          ",
"                          ",
"            .             ",
"        .   .   .         ",
"         .  .  .          ",
"          . . .           ",
"           ...            ",
"       ...........        ",
"           ...            ",
"          . . .           ",
"         .  .  .          ",
"        .   .   .         ",
"            .             ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"          .....           ",
"        ..     ..         ",
"       .      ....        ",
"       .       . .        ",
"      .        .  .       ",
"      .        .  .       ",
"      .   ......  .       ",
"      .  .     .  .       ",
"      .  .     .  .       ",
"       . .     . .        ",
"       .  ........        ",
"        ..     ..         ",
"          .....           ",
"                          ",
"                          ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"       ...........        ",
"           ...            ",
"          . . .           ",
"         .  .  .          ",
"        .   .   .         ",
"            .             ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"          .....           ",
"        ..     ..         ",
"       ....   ....        ",
"       .  .    . .        ",
"      .    .   .  .       ",
"      .     .  .  .       ",
"      .   ......  .       ",
"      .  .     .  .       ",
"      .  .     .  .       ",
"       . .     . .        ",
"       .  ........        ",
"        ..     ..         ",
"          .....           ",
"                          ",
"            .             ",
"           ...            ",
"            .             ",
"         .  .  .          ",
"          . . .           ",
"       .   ...   .        ",
"      .............       ",
"       .   ...   .        ",
"          . . .           ",
"         .  .  .          ",
"            .             ",
"           ...            ",
"            .             ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"          .....           ",
"        ..     ..         ",
"       .  ........        ",
"       . .     . .        ",
"      .  .     .  .       ",
"      .  .     .  .       ",
"      .   ......  .       ",
"      .  .     .  .       ",
"      .  .     .  .       ",
"       . .     . .        ",
"       .  ........        ",
"        ..     ..         ",
"          .....           ",
"                          ",
"                          ",
"       ...     ...        ",
"       ..   .   ..        ",
"       . .  .  . .        ",
"          . . .           ",
"           ...            ",
"        .........         ",
"           ...            ",
"          . . .           ",
"       . .  .  . .        ",
"       ..   .   ..        ",
"       ...     ...        ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"          .....           ",
"        ..     ..         ",
"       . .........        ",
"       . .     . .        ",
"      .  .     .  .       ",
"      .        .  .       ",
"      .        .  .       ",
"      .        .  .       ",
"      .        .  .       ",
"       .       . .        ",
"       .      ....        ",
"        ..     ..         ",
"          .....           ",
"                          ",
"                          ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"       ...........        ",
"           ...            ",
"          . . .           ",
"         .  .  .          ",
"        .   .   .         ",
"            .             ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"          .....           ",
"        ..     ..         ",
"       ....   ....        ",
"       . ..    . .        ",
"      .  . .   .  .       ",
"      .  . .   .  .       ",
"      .  .  .  .  .       ",
"      .  .   . .  .       ",
"      .  .   . .  .       ",
"       . .    .. .        ",
"       ....   ....        ",
"        ..     ..         ",
"          .....           ",
"                          ",
"                          ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"       ...........        ",
"           ...            ",
"          . . .           ",
"         .  .  .          ",
"        .   .   .         ",
"            .             ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"          .....           ",
"        ..     ..         ",
"       .  .... . .        ",
"       . .    .. .        ",
"      .  .     .  .       ",
"      .   .       .       ",
"      .    ...    .       ",
"      .       .   .       ",
"      .  .     .  .       ",
"       . ..    . .        ",
"       . . ....  .        ",
"        ..     ..         ",
"          .....           ",
"                          ",
"                          ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"            .             ",
"       ...........        ",
"           ...            ",
"          . . .           ",
"         .  .  .          ",
"        .   .   .         ",
"            .             ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"                          ",
"             .            ",
"            ...           ",
"           . . .          ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"         .......          ",
"          .     .         ",
"          .     .         ",
"          .     .         ",
"          ......          ",
"          .               ",
"          .               ",
"          .               ",
"         ...              ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"             .            ",
"            ...           ",
"             .            ",
"             .            ",
"             .            ",
"        .    .    .       ",
"       .............      ",
"        .    .    .       ",
"             .            ",
"             .            ",
"             .            ",
"            ...           ",
"             .            ",
"                          ",
"                          ",
"                          ",
"         .......          ",
"          .     .         ",
"          .     .         ",
"          .     .         ",
"          ......          ",
"          .  .            ",
"          .   .           ",
"          .    .          ",
"         ...   ...        ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"        ...     ...       ",
"        ..       ..       ",
"        . .     . .       ",
"           .   .          ",
"            . .           ",
"             .            ",
"            . .           ",
"           .   .          ",
"        . .     . .       ",
"        ..       ..       ",
"        ...     ...       ",
"                          ",
"                          ",
"                          ",
"                          ",
"         .......          ",
"          .     .         ",
"          .     .         ",
"          .     .         ",
"          ......          ",
"          .     .         ",
"          .     .         ",
"          .     .         ",
"         .......          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"             .            ",
"            ...           ",
"           . . .          ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"                          ",
"                          ",
"                          ",
"                          ",
"         ...              ",
"          .               ",
"          .               ",
"          .               ",
"          .               ",
"          .               ",
"          .     .         ",
"          .     .         ",
"         ........         ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"                          ",
"         ...   ...        ",
"         ..     ..        ",
"         . .   . .        ",
"            . .           ",
"            . .           ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"                          ",
"                          ",
"                          ",
"                          ",
"         ...   ...        ",
"          ..    .         ",
"          . .   .         ",
"          . .   .         ",
"          .  .  .         ",
"          .   . .         ",
"          .   . .         ",
"          .    ..         ",
"         ...   ...        ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"             .            ",
"         .   .   .        ",
"          .  .  .         ",
"           . . .          ",
"            ...           ",
"             .            ",
"            . .           ",
"           .   .          ",
"          .     .         ",
"         .       .        ",
"                          ",
"                          ",
"                          ",
"                          ",
"                          ",
"           .... .         ",
"          .    ..         ",
"          .     .         ",
"           .              ",
"            ...           ",
"               .          ",
"          .     .         ",
"          ..    .         ",
"          . ....          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"             .            ",
"         .   .   .        ",
"          .  .  .         ",
"           . . .          ",
"            ...           ",
"        ...........       ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"                          ",
"                          ",
"                          ",
"                          ",
"            ...           ",
"           .   ..         ",
"          .     .         ",
"          .     .         ",
"          .               ",
"          .    ...        ",
"          .     .         ",
"           .    .         ",
"            ....          ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"             .            ",
"         .   .   .        ",
"          .  .  .         ",
"           . . .          ",
"            ...           ",
"        ...........       ",
"            ...           ",
"           . . .          ",
"          .  .  .         ",
"         .   .   .        ",
"             .            ",
"                          ",
"                          ",
"                          ",
"                          ",
"         ...   ...        ",
"          .    .          ",
"          .   .           ",
"          .. .            ",
"          . .             ",
"          .  .            ",
"          .   .           ",
"          .    .          ",
"         ...   ...        ",
"                          ",
"                          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"             .            ",
"         .   .   .        ",
"          .  .  .         ",
"           . . .          ",
"            ...           ",
"        ...........       ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"                          ",
"                          ",
"           .....          ",
"         ..     ..        ",
"        ........  .       ",
"        . .     . .       ",
"       .  .     .  .      ",
"       .  .     .  .      ",
"       .  ......   .      ",
"       .  .        .      ",
"       .  .        .      ",
"        . .       .       ",
"        ....      .       ",
"         ..     ..        ",
"           .....          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"             .            ",
"            ...           ",
"             .            ",
"          .  .  .         ",
"           . . .          ",
"        .   ...   .       ",
"       .............      ",
"        .   ...   .       ",
"           . . .          ",
"          .  .  .         ",
"             .            ",
"            ...           ",
"             .            ",
"                          ",
"           .....          ",
"         ..     ..        ",
"        ........  .       ",
"        . .     . .       ",
"       .  .     .  .      ",
"       .  .     .  .      ",
"       .  ......   .      ",
"       .  .  .     .      ",
"       .  .   .    .      ",
"        . .    .  .       ",
"        ....   ....       ",
"         ..     ..        ",
"           .....          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"        ...     ...       ",
"        ..   .   ..       ",
"        . .  .  . .       ",
"           . . .          ",
"            ...           ",
"         .........        ",
"            ...           ",
"           . . .          ",
"        . .  .  . .       ",
"        ..   .   ..       ",
"        ...     ...       ",
"                          ",
"                          ",
"           .....          ",
"         ..     ..        ",
"        ........  .       ",
"        . .     . .       ",
"       .  .     .  .      ",
"       .  .     .  .      ",
"       .  ......   .      ",
"       .  .     .  .      ",
"       .  .     .  .      ",
"        . .     . .       ",
"        ........  .       ",
"         ..     ..        ",
"           .....          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"             .            ",
"         .   .   .        ",
"          .  .  .         ",
"           . . .          ",
"            ...           ",
"        ...........       ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"                          ",
"                          ",
"           .....          ",
"         ..     ..        ",
"        ....      .       ",
"        . .       .       ",
"       .  .        .      ",
"       .  .        .      ",
"       .  .        .      ",
"       .  .        .      ",
"       .  .     .  .      ",
"        . .     . .       ",
"        ......... .       ",
"         ..     ..        ",
"           .....          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"             .            ",
"         .   .   .        ",
"          .  .  .         ",
"           . . .          ",
"            ...           ",
"        ...........       ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"                          ",
"                          ",
"           .....          ",
"         ..     ..        ",
"        ....   ....       ",
"        . ..    . .       ",
"       .  . .   .  .      ",
"       .  . .   .  .      ",
"       .  .  .  .  .      ",
"       .  .   . .  .      ",
"       .  .   . .  .      ",
"        . .    .. .       ",
"        ....   ....       ",
"         ..     ..        ",
"           .....          "
},
{"26 28 2 1",
"  c None",
color_xpm_d,
"                          ",
"                          ",
"             .            ",
"         .   .   .        ",
"          .  .  .         ",
"           . . .          ",
"            ...           ",
"        ...........       ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"             .            ",
"                          ",
"                          ",
"           .....          ",
"         ..     ..        ",
"        .  .... . .       ",
"        . .    .. .       ",
"       .  .     .  .      ",
"       .   .       .      ",
"       .    ...    .      ",
"       .       .   .      ",
"       .  .     .  .      ",
"        . ..    . .       ",
"        . . ....  .       ",
"         ..     ..        ",
"           .....          "
}
},
{
{"32 34 2 1",
"  c None",
color_xpm_d,
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"               ..               ",
"              ....              ",
"             .    .             ",
"            .. .. ..            ",
"            .. .. ..            ",
"             .    .             ",
"              ....              ",
"               ..               ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                "
},
#include "pieces-clasical-jp.h"
},
{
{"32 34 2 1",
"  c None",
color_xpm_d,
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"               ..               ",
"              ....              ",
"             .    .             ",
"            .. .. ..            ",
"            .. .. ..            ",
"             .    .             ",
"              ....              ",
"               ..               ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                ",
"                                "
},
#include "pieces-clasical-west.h"
}
};
